# --------------Importation des librairies--------------------
import tkinter as tk
from PIL import Image, ImageTk
# ------------------------------------------------------------


#--------- Création de l'environnement ----------- 
fenetre=tk.Tk()
fenetre.title("traitements d'images")

# ----------- Création des objets -------------

#Un canevas pour afficher l'image
toile= tk.Canvas(fenetre,height=333, width=850, bg="white")
toile.grid()
#---------------------------------------------------


#---------- Chargement et affichage de l'image de départ -------------------
# Chargement image avec PIL
photo_pil = Image.open("arles2.png").convert("RGB")

# Longueur et hauteur de l'image
colonne, ligne = photo_pil.size

# Conversion en PhotoImage et affichage
photo = ImageTk.PhotoImage(photo_pil)
toile.create_image(10,10, anchor ="nw", image = photo)

#--------------------------------------------------------------------------


# ---------------------Traitement de l'image -----------
  
#Copie de l'image de départ
photo1_pil = photo_pil.copy()

#Balayage de l'image pour prendre les couleurs des pixels puis changer les pixels de la nouvelle image
for i in range(colonne):
    for j in range(ligne):
        r,g,b=photo_pil.getpixel((i,j))            
        photo1_pil.putpixel((i,j), (255, g,b)) 
        #l'image sera rouge

# Conversion en PhotoImage et affichage        
photo1 = ImageTk.PhotoImage(photo1_pil)
toile.create_image(429, 10, anchor ="nw", image = photo1) 
    
# ----------------------------------------------------

 
# -------------Maintient de la fenêtre ouverte pendant le traitement-----------
fenetre.mainloop()
